summaryrefslogtreecommitdiff
path: root/pcr/9mount/fix-checks.patch
blob: 9af711ba512ed88d348021d51aad2555ef555b20 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
--- test.sh.orig	2012-10-15 11:15:07.000000000 -0400
+++ test.sh	2012-10-15 11:15:11.000000000 -0400
@@ -7,7 +7,7 @@
 	shift; shift
 	actual=$(9mount -n "$@" 2>&1)
 	aopts=$(echo $actual |sed 's/.*-o \([^ ]*\) .*/\1/' |tr , '\n' |sort |tr '\n' , |sed 's/,$//')
-	actual=$(echo $actual |sed 's/-o [^ ]*/-o '"$aopts"'/')
+	actual=$(echo $actual |sed -e 's/-o [^ ]*/-o '"$aopts"'/' -e 's/ ::1 / 127.0.0.1 /')
 	if [ "$expected" != "$actual" ]; then
 		echo '	'9mount "$@"
 		echo $expected' #expected'
@@ -48,6 +48,7 @@
 	output=$(9mount -n "$@" 2>&1) && {
 		echo '	'9mount "$@"
 		echo $output' #should have failed!'
+		exit 1
 	}
 }
 
@@ -59,3 +60,4 @@
 shouldfail unix!/tmp/9mount!qux $mtpt
 shouldfail virtio!/dev/chan!bar $mtpt
 shouldfail tcp!localhost!564!foo $mtpt
+exit 0